Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Java plugin fails to initialize (undefined symbol)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
bruda
Guru
Guru


Joined: 06 May 2004
Posts: 376
Location: Sherbrooke, QC, Canada

PostPosted: Wed Aug 25, 2004 2:45 pm    Post subject: Java plugin fails to initialize (undefined symbol) Reply with quote

I did the customary upgrade the other day and something broke my Mozilla or Java plugin (or both). When I attempt to load any Java applet I now get
Code:
LoadPlugin: failed to initialize shared library /opt/blackdown-jre-1.3.1/plugin/ppc/mozilla/javaplugin_oji.so
[/opt/blackdown-jre-1.3.1/plugin/ppc/mozilla/javaplugin_oji.so: undefined symbol: _ZTV16nsQueryInterface]

Is it the new Mozilla, is it something else, has anybody encountered this?

Thanks,
Stefan
_________________
Quid latine dictum sit altum videtur
Back to top
View user's profile Send private message
bruda
Guru
Guru


Joined: 06 May 2004
Posts: 376
Location: Sherbrooke, QC, Canada

PostPosted: Sat Aug 28, 2004 11:28 pm    Post subject: Reply with quote

So is everybody happily running Mozilla 1.7.2 with Java enabled?!? It's driving me nuts. :(
_________________
Quid latine dictum sit altum videtur
Back to top
View user's profile Send private message
maelstr0m
n00b
n00b


Joined: 28 Aug 2004
Posts: 1

PostPosted: Mon Aug 30, 2004 1:46 am    Post subject: Reply with quote

bruda wrote:
So is everybody happily running Mozilla 1.7.2 with Java enabled?!? It's driving me nuts. :(


The newer Mozilla and Firefox builds only work with Java > 1.4. Apparently you can emerge the IBM JDK 1.4.1, but I haven't yet tested this with Mozilla. So far the IBM JDK doesn't work with Azureus.
Back to top
View user's profile Send private message
bruda
Guru
Guru


Joined: 06 May 2004
Posts: 376
Location: Sherbrooke, QC, Canada

PostPosted: Mon Aug 30, 2004 3:28 am    Post subject: Reply with quote

Thanks, I just saw the other thread too. As for IBM's JDK, I have been using it quite happily for some time for Java programs, but the package does not seem to offer any browser plugin. Am I missing anything here?

Thanks again,
Stefan
_________________
Quid latine dictum sit altum videtur
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Mon Aug 30, 2004 3:30 am    Post subject: Reply with quote

bruda wrote:
Thanks, I just saw the other thread too. As for IBM's JDK, I have been using it quite happily for some time for Java programs, but the package does not seem to offer any browser plugin. Am I missing anything here?

Thanks again,
Stefan


No you are not, but I wish you were...
No java plugin 1.4+ for linuxppc so far
Back to top
View user's profile Send private message
pinguinoferoce
Tux's lil' helper
Tux's lil' helper


Joined: 09 Sep 2003
Posts: 147

PostPosted: Thu Sep 02, 2004 10:38 pm    Post subject: Reply with quote

what can we do?
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Fri Sep 03, 2004 3:01 am    Post subject: Reply with quote

pinguinoferoce wrote:
what can we do?


Apparently according to the second post in this thread:
https://forums.gentoo.org/viewtopic.php?t=199454&highlight=java+konqueror
we may be able to use konqueror. I haven't tested it so far, java
is not that important to me and I have thing to put right on
this computer before worrying about java.

If you read further along in this thread you will see that some
work is in progress to change the way mozilla et al. interact
with java but that some time from now with gcc3.4 or possibly 3.5.

I guess if you can confirm that konqueror work with java some
people will be interested.
Cheers,
Francois
Back to top
View user's profile Send private message
DiskBreaker
Apprentice
Apprentice


Joined: 07 Oct 2003
Posts: 224

PostPosted: Fri Sep 03, 2004 3:40 am    Post subject: Reply with quote

I can confirm that my Konqueror 3.2.3 works with my IBM JDK 1.4.2. I am emerging KDE 3.3 right now but I am sure the new Konqueror 3.3 will work as well.
Back to top
View user's profile Send private message
thepustule
Apprentice
Apprentice


Joined: 22 Feb 2004
Posts: 210
Location: Toronto, Canada

PostPosted: Mon Nov 01, 2004 8:59 pm    Post subject: What's most annoying Reply with quote

What's most annoying is that in usr/share/doc/ibm-jre... it specifically tells you how to symlink the plugin from /opt/ibm-jre.../bin to /usr/lib/mozilla/plugins.

So then you follow the docs and the plugin .so file isn't even there!

GRRRRR! :evil:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum